Last modified: 24 July 2009
Name: H5get_libversion
Signature:
  herr_t `H5get_libversion`(unsigned *`majnum`, unsigned *`minnum`, unsigned *`relnum` )
Purpose:
  Returns the HDF library release number.
Description:
  `H5get_libversion` retrieves the major, minor, and release numbers of the version of the HDF library which is linked to the application.
Parameters:

unsigned *`majnum` | OUT: The major version of the library.
unsigned *`minnum` | OUT: The minor version of the library.
unsigned *`relnum` | OUT: The release number of the library.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5get_libversion_f

      SUBROUTINE h5get_libversion_f(majnum, minnum, relnum, hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(OUT) :: majnum      ! The major version of the library
        INTEGER, INTENT(OUT) :: minnum      ! The minor version of the library
        INTEGER, INTENT(OUT) :: relnum      ! The release number
        INTEGER, INTENT(OUT) :: hdferr      ! Error code

      END SUBROUTINE h5get_libversion_f

History:

Release | Fortran90
1.4.5 | Function introduced in this release.